Bug 130614 - Crash in: SfxItemPool::IsInRange(unsigned short)
Summary: Crash in: SfxItemPool::IsInRange(unsigned short)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha0+
Hardware: All All
: highest critical
Assignee: Not Assigned
URL:
Whiteboard: target:7.0.0 target:6.4.2 target:6.4.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-02-12 10:10 UTC by Xisco Faulí
Modified: 2020-03-10 09:15 UTC (History)
4 users (show)

See Also:
Crash report or crash signature: ["SfxItemPool::IsInRange(unsigned short)","SfxItemPool::GetDefaultItem(unsigned short)"]


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2020-02-12 10:10:15 UTC Comment hidden (obsolete)
Comment 1 Xisco Faulí 2020-02-12 10:13:25 UTC Comment hidden (obsolete)
Comment 2 Xisco Faulí 2020-02-12 10:16:04 UTC Comment hidden (obsolete)
Comment 3 Xisco Faulí 2020-02-12 10:16:43 UTC
@Dennis, since you fixed bug 108881 I thought you might be interested in this issue as well
Comment 4 Xisco Faulí 2020-02-12 10:20:54 UTC
This is a follow-up of bug 108887 since the original steps are still reproducible

Steps to reproduce
1. Open attachment 134425 [details] from bug 108887
2. Copy the formula somewhere around C6
3. Close Calc (gray cross)
4. Open New calc document
5. Paste -> Crash

Reproduced in

Version: 7.0.0.0.alpha0+
Build ID: 718f540fb63af27c1336f89213444e9af753b8a9
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 5 Xisco Faulí 2020-02-12 10:30:51 UTC
oh wait, the issue was fixed and now it's broken again. re-checking...
Comment 6 Xisco Faulí 2020-02-12 10:47:46 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=e4cea049c80f4fd6d2a586e73fe9fa08ebd08371

author	Andrés Maldonado <amaldonado@linagora.com>	2019-05-24 17:59:13 +0200
committer	Thorsten Behrens <Thorsten.Behrens@CIB.de>	2019-09-08 02:21:36 +0200
commit	e4cea049c80f4fd6d2a586e73fe9fa08ebd08371 (patch)
tree	4a6a69390383a03b2f7d527acdaa7613834fc5be
parent	294222866f4d39e200cf365bac77de76b2ae9841 (diff)
tdf#125520 Fix OLE objects drag&drop with 'Insert as Copy'

Bisected with: bibisect-linux64-6.4

Adding Cc: to Andrés Maldonado
Comment 7 Xisco Faulí 2020-02-12 10:53:41 UTC
Another way to reproduce it:

1. Open Calc
2. Insert -> Object -> Ole-Object -> Insert a new Ole-object (for example spreadsheet)
3. Cut/Copy the Object
3. Close Calc (gray cross)
4. Open New calc document
5. Paste -> Crash
Comment 8 Xisco Faulí 2020-02-12 12:35:11 UTC
it also crashes with these steps:
1. Open Calc
2. Insert an empty chart
3. Select it and copy it
4. Close LibreOffice

-> Crash!
Comment 9 Commit Notification 2020-02-12 21:29:33 UTC
Xisco Faulí committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/09e6824bc868990095233825c415556399dd0652

tdf#130614: Revert "tdf#125520 Fix OLE objects drag&drop with 'Insert as Copy'"

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2020-02-13 06:42:00 UTC
Xisco Faulí committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/d3e77bd112c3f7084b0dd92c36ff60f1fd1ddc2f

tdf#130614: Revert "tdf#125520 Fix OLE objects drag&drop with 'Insert as Copy'"

It will be available in 6.4.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2020-02-18 09:03:36 UTC
Xisco Faulí committed a patch related to this issue.
It has been pushed to "libreoffice-6-4-1":

https://git.libreoffice.org/core/commit/25937732b9ef881651611f99d4178e90888642a2

tdf#130614: Revert "tdf#125520 Fix OLE objects drag&drop with 'Insert as Copy'"

It will be available in 6.4.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Armin Le Grand 2020-02-23 10:29:40 UTC
Will take a look - I think the OLE just needs to be cloned to the target model, as the other objects already are...
Comment 13 Xisco Faulí 2020-02-24 08:56:21 UTC
(In reply to Armin Le Grand from comment #12)
> Will take a look - I think the OLE just needs to be cloned to the target
> model, as the other objects already are...

Hi Armin,
Do you mean bug 125520 ?
Comment 14 Armin Le Grand 2020-02-24 20:35:11 UTC
@cisco -> yupp, right :)